/**
 * Componente que renderiza um Footer (rodpé), podendo ter childrens (filhos) ou não.
 *
 * @author                  João Leão
 * @param children          Qualquer componente que será passado como conteúdo-filho do rodapé.
 *
 * @example                 <FooterComponent>
 *                            children
 *                          </FooterComponent>
 *
 */

import React from 'react';
import { View, StyleSheet } from 'react-native';

export default function FooterComponent({ children, style }) {
  return <View style={[styles.footer, style]}>{children}</View>;
}

const styles = StyleSheet.create({
  footer: {
    paddingVertical: '5%',
    paddingHorizontal: 20,
    width: '100%',
    alignItems: 'center',
    justifyContent: 'center',
  },
});
